import { PhysicsObject } from "../object";
import { World } from "../world";
import { CollisionEvent } from "./collision-event";
export declare class CollisionMatrix {
    private world;
    collisions: Array<CollisionEvent>;
    constructor(world: World);
    add(a: PhysicsObject, b: PhysicsObject): void;
    remove(a: PhysicsObject, b: PhysicsObject): void;
    contains(ev: CollisionEvent): boolean;
    length(): number;
    getIndex(i: number): CollisionEvent;
    clear(): void;
}
